> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Card

> Create a new card



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cards
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards:
    post:
      tags:
        - cards
      summary: Create a card
      description: Create a new card
      operationId: TrioFoundationWeb.Banking.Card.CardController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Card_create_params'
        description: Create Card
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Card_response'
          description: Card
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Card_create_params:
      description: Card create params
      example:
        display_name: marketing card
        entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        holder_name: John Doe
      properties:
        display_name:
          description: Display name
          type: string
        entity_id:
          description: Entity UUID
          type: string
        holder_name:
          description: Holder Name
          nullable: true
          type: string
      required:
        - entity_id
        - display_name
      title: Card create params
      type: object
    Card_response:
      description: Card response
      example:
        data:
          balance: 0
          company_id: 019514eb-5d5c-b395-5a77-449d12701ce7
          display_name: marketing card
          entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
          holder_id: 019514eb-5d5c-b395-5a77-449d12701ce7
          id: 019514eb-5d5c-b395-5a77-449d12701ce7
          masked_number: 5555 **** **** 1234
          org_id: 019514eb-5d5c-b395-5a77-449d12701ce7
          status: active
          type: virtual
      properties:
        data:
          $ref: '#/components/schemas/Card'
      title: Card response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Card:
      description: Card data
      example:
        balance: 0
        company_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        display_name: marketing card
        entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        holder_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        id: 019514eb-5d5c-b395-5a77-449d12701ce7
        masked_number: 5555 **** **** 1234
        org_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        status: active
        type: virtual
      properties:
        balance:
          description: Card balance (R$)
          type: integer
        company_id:
          description: Company UUID
          type: string
        display_name:
          description: Display name
          type: string
        entity_id:
          description: Entity UUID
          type: string
        holder_id:
          description: Holder UUID
          type: string
        id:
          description: Unique identifier
          type: string
        masked_number:
          description: Masked card number
          type: string
        org_id:
          description: Org UUID
          type: string
        status:
          description: Card status
          enum:
            - created
            - pending
            - active
            - blocked
            - expired
            - canceled
          type: string
        type:
          description: Card type
          enum:
            - virtual
          type: string
      title: Card
      type: object

````